# -*- coding: utf-8 -*-

# This software is released under the MIT License.
#
# Copyright (c) 2018 Orange Cloud for Business / Cloudwatt
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


NAME = 'compute.flavors'

FIXTURES = [{'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 20,
  'id': '16',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/16',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/16',
             'rel': 'bookmark'}],
  'name': 't1.cw.tiny',
  'os-flavor-access:is_public': True,
  'ram': 629,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 1},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '17',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/17',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/17',
             'rel': 'bookmark'}],
  'name': 's1.cw.small-1',
  'os-flavor-access:is_public': True,
  'ram': 1792,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 1},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '18',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/18',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/18',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highcpu-2',
  'os-flavor-access:is_public': True,
  'ram': 4000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 2},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '19',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/19',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/19',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highcpu-4',
  'os-flavor-access:is_public': True,
  'ram': 8000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '20',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/20',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/20',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highcpu-8',
  'os-flavor-access:is_public': True,
  'ram': 16000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '21',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/21',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/21',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-1',
  'os-flavor-access:is_public': True,
  'ram': 4000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 1},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '22',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/22',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/22',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-2',
  'os-flavor-access:is_public': True,
  'ram': 8000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 2},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '23',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/23',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/23',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-4',
  'os-flavor-access:is_public': True,
  'ram': 16000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '24',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/24',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/24',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-8',
  'os-flavor-access:is_public': True,
  'ram': 32000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '25',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/25',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/25',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-12',
  'os-flavor-access:is_public': True,
  'ram': 48000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 12},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '26',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/26',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/26',
             'rel': 'bookmark'}],
  'name': 'n1.cw.standard-16',
  'os-flavor-access:is_public': True,
  'ram': 64000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 16},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '28',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/28',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/28',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highmem-2',
  'os-flavor-access:is_public': True,
  'ram': 13312,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 2},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '29',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/29',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/29',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highmem-4',
  'os-flavor-access:is_public': True,
  'ram': 26624,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '30',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/30',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/30',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highmem-8',
  'os-flavor-access:is_public': True,
  'ram': 53248,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '31',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/31',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/31',
             'rel': 'bookmark'}],
  'name': 'n1.cw.highmem-12',
  'os-flavor-access:is_public': True,
  'ram': 79872,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 12},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '38',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/38',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/38',
             'rel': 'bookmark'}],
  'name': 'n2.cw.highmem-2',
  'os-flavor-access:is_public': True,
  'ram': 13312,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 2},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 50,
  'description': None,
  'disk': 50,
  'id': '39',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/39',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/39',
             'rel': 'bookmark'}],
  'name': 'n2.cw.highmem-4',
  'os-flavor-access:is_public': True,
  'ram': 26624,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 100,
  'description': None,
  'disk': 50,
  'id': '40',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/40',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/40',
             'rel': 'bookmark'}],
  'name': 'n2.cw.highmem-8',
  'os-flavor-access:is_public': True,
  'ram': 53248,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 300,
  'description': None,
  'disk': 50,
  'id': '41',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/41',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/41',
             'rel': 'bookmark'}],
  'name': 'n2.cw.highmem-16',
  'os-flavor-access:is_public': True,
  'ram': 104000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 16},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '42',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/42',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/42',
             'rel': 'bookmark'}],
  'name': 'n2.cw.standard-1',
  'os-flavor-access:is_public': True,
  'ram': 4000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 1},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '43',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/43',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/43',
             'rel': 'bookmark'}],
  'name': 'n2.cw.standard-2',
  'os-flavor-access:is_public': True,
  'ram': 8000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 2},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '44',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/44',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/44',
             'rel': 'bookmark'}],
  'name': 'n2.cw.standard-4',
  'os-flavor-access:is_public': True,
  'ram': 16000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '45',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/45',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/45',
             'rel': 'bookmark'}],
  'name': 'n2.cw.standard-8',
  'os-flavor-access:is_public': True,
  'ram': 32000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 0,
  'description': None,
  'disk': 50,
  'id': '46',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/46',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/46',
             'rel': 'bookmark'}],
  'name': 'n2.cw.standard-16',
  'os-flavor-access:is_public': True,
  'ram': 64000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 16},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 400,
  'description': None,
  'disk': 50,
  'id': '53',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/53',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/53',
             'rel': 'bookmark'}],
  'name': 'i2.cw.largessd-4',
  'os-flavor-access:is_public': True,
  'ram': 32000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 4},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 850,
  'description': None,
  'disk': 50,
  'id': '54',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/54',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/54',
             'rel': 'bookmark'}],
  'name': 'i2.cw.largessd-8',
  'os-flavor-access:is_public': True,
  'ram': 64000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 8},
 {'OS-FLV-DISABLED:disabled': False,
  'OS-FLV-EXT-DATA:ephemeral': 1750,
  'description': None,
  'disk': 50,
  'id': '55',
  'links': [{'href': 'https://compute.fr1.cloudwatt.com/v2/9824a7403a1b411d8d207d26218597ce/flavors/55',
             'rel': 'self'},
            {'href': 'https://compute.fr1.cloudwatt.com/9824a7403a1b411d8d207d26218597ce/flavors/55',
             'rel': 'bookmark'}],
  'name': 'i2.cw.largessd-16',
  'os-flavor-access:is_public': True,
  'ram': 128000,
  'rxtx_factor': 1.0,
  'swap': '',
  'vcpus': 16}]
