# -*- coding: utf-8 -*-

# This software is released under the MIT License.
#
# Copyright (c) 2018 Orange Cloud for Business / Cloudwatt
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


NAME = 'image.images'

FIXTURES = [{'architecture': None,
  'auto_disk_config': None,
  'checksum': '57baccdf32b77ff7939d429b842d4440',
  'container_format': 'bare',
  'created_at': '2017-06-20T14:53:41Z',
  'direct_url': None,
  'disk_format': 'qcow2',
  'file': '/v2/images/8254d703-e46f-4101-88ff-6f40bf7df51a/file',
  'hw_boot_menu': None,
  'hw_cpu_cores': None,
  'hw_cpu_sockets': None,
  'hw_cpu_threads': None,
  'hw_disk_bus': None,
  'hw_machine_type': None,
  'hw_qemu_guest_agent': None,
  'hw_rng_model': 'virtio',
  'hw_scsi_model': None,
  'hw_serial_port_count': None,
  'hw_video_model': None,
  'hw_video_ram': None,
  'hw_vif_model': None,
  'hw_vif_multiqueue_enabled': None,
  'hw_watchdog_action': None,
  'hypervisor-type': None,
  'id': '8254d703-e46f-4101-88ff-6f40bf7df51a',
  'img_config_drive': None,
  'instance_type_rxtx_factor': None,
  'instance_uuid': None,
  'kernel_id': None,
  'locations': None,
  'metadata': None,
  'min_disk': 50,
  'min_ram': 2048,
  'name': 'Windows Server 2012 R2 Standard FR',
  'os_admin_user': None,
  'os_command_line': None,
  'os_distro': None,
  'os_require_quiesce': None,
  'os_secure_boot': None,
  'os_type': None,
  'os_version': None,
  'owner': '3ab52a7f1b824983bf418df633d9d88d',
  'path': None,
  'properties': None,
  'protected': False,
  'ramdisk_id': None,
  'size': 7976386560,
  'status': 'active',
  'store': None,
  'tags': [],
  'updated_at': '2017-06-20T14:56:43Z',
  'url': None,
  'value': None,
  'virtual_size': None,
  'visibility': 'public',
  'vm_mode': None,
  'vmware_adaptertype': None,
  'vmware_ostype': None},
 {'architecture': None,
  'auto_disk_config': None,
  'checksum': '8ec802fe753dfe8e226645a2e0106bf7',
  'container_format': 'bare',
  'created_at': '2017-03-23T15:46:41Z',
  'direct_url': None,
  'disk_format': 'qcow2',
  'file': '/v2/images/70a9c910-dd99-4065-bce9-11e89bc479fe/file',
  'hw_boot_menu': None,
  'hw_cpu_cores': None,
  'hw_cpu_sockets': None,
  'hw_cpu_threads': None,
  'hw_disk_bus': None,
  'hw_machine_type': None,
  'hw_qemu_guest_agent': None,
  'hw_rng_model': 'virtio',
  'hw_scsi_model': None,
  'hw_serial_port_count': None,
  'hw_video_model': None,
  'hw_video_ram': None,
  'hw_vif_model': None,
  'hw_vif_multiqueue_enabled': None,
  'hw_watchdog_action': None,
  'hypervisor-type': None,
  'id': '70a9c910-dd99-4065-bce9-11e89bc479fe',
  'img_config_drive': None,
  'instance_type_rxtx_factor': None,
  'instance_uuid': None,
  'kernel_id': None,
  'locations': None,
  'metadata': None,
  'min_disk': 20,
  'min_ram': 0,
  'name': 'Ubuntu 14.04',
  'os_admin_user': None,
  'os_command_line': None,
  'os_distro': None,
  'os_require_quiesce': None,
  'os_secure_boot': None,
  'os_type': None,
  'os_version': None,
  'owner': '3ab52a7f1b824983bf418df633d9d88d',
  'path': None,
  'properties': None,
  'protected': False,
  'ramdisk_id': None,
  'size': 1009057792,
  'status': 'active',
  'store': None,
  'tags': [],
  'updated_at': '2017-12-26T10:33:50Z',
  'url': None,
  'value': None,
  'virtual_size': None,
  'visibility': 'public',
  'vm_mode': None,
  'vmware_adaptertype': None,
  'vmware_ostype': None},
 {'architecture': None,
  'auto_disk_config': None,
  'checksum': '12872d8897d2eabfceac8b4627ff88f0',
  'container_format': 'bare',
  'created_at': '2016-06-07T07:36:26Z',
  'direct_url': None,
  'disk_format': 'qcow2',
  'file': '/v2/images/dd7d4b21-79b8-42f0-8464-0d1a5274c638/file',
  'hw_boot_menu': None,
  'hw_cpu_cores': None,
  'hw_cpu_sockets': None,
  'hw_cpu_threads': None,
  'hw_disk_bus': None,
  'hw_machine_type': None,
  'hw_qemu_guest_agent': None,
  'hw_rng_model': None,
  'hw_scsi_model': None,
  'hw_serial_port_count': None,
  'hw_video_model': None,
  'hw_video_ram': None,
  'hw_vif_model': None,
  'hw_vif_multiqueue_enabled': None,
  'hw_watchdog_action': None,
  'hypervisor-type': None,
  'id': 'dd7d4b21-79b8-42f0-8464-0d1a5274c638',
  'img_config_drive': None,
  'instance_type_rxtx_factor': None,
  'instance_uuid': None,
  'kernel_id': None,
  'locations': None,
  'metadata': None,
  'min_disk': 0,
  'min_ram': 0,
  'name': 'tempest-ubuntu-do-not-erase',
  'os_admin_user': None,
  'os_command_line': None,
  'os_distro': None,
  'os_require_quiesce': None,
  'os_secure_boot': None,
  'os_type': None,
  'os_version': None,
  'owner': '3ab52a7f1b824983bf418df633d9d88d',
  'path': None,
  'properties': None,
  'protected': False,
  'ramdisk_id': None,
  'size': 261488640,
  'status': 'active',
  'store': None,
  'tags': [],
  'updated_at': '2016-06-07T07:36:31Z',
  'url': None,
  'value': None,
  'virtual_size': None,
  'visibility': 'private',
  'vm_mode': None,
  'vmware_adaptertype': None,
  'vmware_ostype': None}]
