# -*- coding: utf-8 -*-

# This software is released under the MIT License.
#
# Copyright (c) 2018 Orange Cloud for Business / Cloudwatt
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


NAME = 'network.ports'

FIXTURES = [{'admin_state_up': True,
  'allowed_address_pairs': None,
  'binding:host_id': None,
  'binding:profile': None,
  'binding:vif_details': None,
  'binding:vif_type': None,
  'binding:vnic_type': 'normal',
  'created_at': None,
  'data_plane_status': None,
  'description': None,
  'device_id': '2cf8db13-312a-4307-ba38-43b727ebcce6',
  'device_owner': 'compute:None',
  'dns_assignment': None,
  'dns_domain': None,
  'dns_name': None,
  'extra_dhcp_opts': None,
  'fixed_ips': [{'ip_address': '192.168.0.3',
                 'subnet_id': '541f0782-587f-428b-bd79-ca227a66973b'}],
  'id': '3decf6f8-2591-4ab0-af19-00f6ce6a0cf5',
  'mac_address': '02:3d:ec:f6:f8:25',
  'name': 'Tellurium_Fixtures-windows_port-hxvnswbzi56x',
  'network_id': 'f054013d-7052-4708-9c72-2948a329fac3',
  'port_security_enabled': False,
  'qos_policy_id': None,
  'revision_number': None,
  'security_groups': ['9ffd2654-7ca6-48ae-852d-6503d5ce4a60'],
  'status': 'ACTIVE',
  'tags': [],
  'tenant_id': '9824a7403a1b411d8d207d26218597ce',
  'trunk_details': None,
  'updated_at': None},
 {'admin_state_up': True,
  'allowed_address_pairs': None,
  'binding:host_id': None,
  'binding:profile': None,
  'binding:vif_details': None,
  'binding:vif_type': None,
  'binding:vnic_type': 'normal',
  'created_at': None,
  'data_plane_status': None,
  'description': None,
  'device_id': '4add78fa-93df-4550-aaf7-aba2239ba00a',
  'device_owner': 'compute:None',
  'dns_assignment': None,
  'dns_domain': None,
  'dns_name': None,
  'extra_dhcp_opts': None,
  'fixed_ips': [{'ip_address': '192.168.0.4',
                 'subnet_id': '541f0782-587f-428b-bd79-ca227a66973b'}],
  'id': '206df716-da1a-4a50-ba1a-74f42a007dd0',
  'mac_address': '02:20:6d:f7:16:da',
  'name': 'Tellurium_Fixtures-instance_port-fmln6fjl4yvo',
  'network_id': 'f054013d-7052-4708-9c72-2948a329fac3',
  'port_security_enabled': False,
  'qos_policy_id': None,
  'revision_number': None,
  'security_groups': ['9ffd2654-7ca6-48ae-852d-6503d5ce4a60'],
  'status': 'ACTIVE',
  'tags': [],
  'tenant_id': '9824a7403a1b411d8d207d26218597ce',
  'trunk_details': None,
  'updated_at': None},
 {'admin_state_up': True,
  'allowed_address_pairs': None,
  'binding:host_id': None,
  'binding:profile': None,
  'binding:vif_details': None,
  'binding:vif_type': None,
  'binding:vnic_type': 'normal',
  'created_at': None,
  'data_plane_status': None,
  'description': None,
  'device_id': 'b6316031-e629-48b8-aac5-3f1b21ffe0f3',
  'device_owner': 'compute:None',
  'dns_assignment': None,
  'dns_domain': None,
  'dns_name': None,
  'extra_dhcp_opts': None,
  'fixed_ips': [{'ip_address': '192.168.0.5',
                 'subnet_id': '541f0782-587f-428b-bd79-ca227a66973b'}],
  'id': 'cb336b60-f298-4a51-9443-89880e3cdb51',
  'mac_address': '02:cb:33:6b:60:f2',
  'name': 'Tellurium_Fixtures-windows_ssh_pass_port-4zlwanbetsg2',
  'network_id': 'f054013d-7052-4708-9c72-2948a329fac3',
  'port_security_enabled': False,
  'qos_policy_id': None,
  'revision_number': None,
  'security_groups': ['9ffd2654-7ca6-48ae-852d-6503d5ce4a60'],
  'status': 'ACTIVE',
  'tags': [],
  'tenant_id': '9824a7403a1b411d8d207d26218597ce',
  'trunk_details': None,
  'updated_at': None},
 {'admin_state_up': True,
  'allowed_address_pairs': None,
  'binding:host_id': None,
  'binding:profile': None,
  'binding:vif_details': None,
  'binding:vif_type': None,
  'binding:vnic_type': 'normal',
  'created_at': None,
  'data_plane_status': None,
  'description': None,
  'device_id': 'ebc6dd0c-a276-4368-8084-bd37c587cc24',
  'device_owner': 'network:router_interface',
  'dns_assignment': None,
  'dns_domain': None,
  'dns_name': None,
  'extra_dhcp_opts': None,
  'fixed_ips': [{'ip_address': '192.168.0.1',
                 'subnet_id': '541f0782-587f-428b-bd79-ca227a66973b'}],
  'id': 'e3b88764-3c46-44aa-ae26-fa6ec2df93bd',
  'mac_address': '02:e3:b8:87:64:3c',
  'name': 'e3b88764-3c46-44aa-ae26-fa6ec2df93bd',
  'network_id': 'f054013d-7052-4708-9c72-2948a329fac3',
  'port_security_enabled': False,
  'qos_policy_id': None,
  'revision_number': None,
  'security_groups': ['9ffd2654-7ca6-48ae-852d-6503d5ce4a60'],
  'status': 'ACTIVE',
  'tags': [],
  'tenant_id': '9824a7403a1b411d8d207d26218597ce',
  'trunk_details': None,
  'updated_at': None},
 {'admin_state_up': True,
  'allowed_address_pairs': None,
  'binding:host_id': None,
  'binding:profile': None,
  'binding:vif_details': None,
  'binding:vif_type': None,
  'binding:vnic_type': 'normal',
  'created_at': None,
  'data_plane_status': None,
  'description': None,
  'device_id': '99c42e21-5099-4903-9121-063925aad299',
  'device_owner': 'compute:nova',
  'dns_assignment': None,
  'dns_domain': None,
  'dns_name': None,
  'extra_dhcp_opts': None,
  'fixed_ips': [{'ip_address': '192.168.0.6',
                 'subnet_id': '541f0782-587f-428b-bd79-ca227a66973b'}],
  'id': '4f413432-b499-4fcc-a81a-1ee0d8bc16b7',
  'mac_address': '02:4f:41:34:32:b4',
  'name': '4f413432-b499-4fcc-a81a-1ee0d8bc16b7',
  'network_id': 'f054013d-7052-4708-9c72-2948a329fac3',
  'port_security_enabled': False,
  'qos_policy_id': None,
  'revision_number': None,
  'security_groups': ['156799a3-565e-48b3-938c-f95f09093c66',
                      '9ffd2654-7ca6-48ae-852d-6503d5ce4a60'],
  'status': 'ACTIVE',
  'tags': [],
  'tenant_id': '9824a7403a1b411d8d207d26218597ce',
  'trunk_details': None,
  'updated_at': None}]
